Subject: Re: [PATCH net-next 0/4] u64_stats: Introduce u64_stats_copy()

From: Ido Schimmel <[email-masked]>
Date: Thu, 22 Jan 2026 10:00:43 +0200

On Wed, Jan 21, 2026 at 06:21:05PM +0100, Sabrina Dubroca wrote:
> No direct instances using memcpy, but do we need to also full structs
> copied within a u64_stats_fetch_begin/u64_stats_fetch_retry loop?

My understanding is that we cannot rely on the compiler to perform the
copy in any particular way. With the suggested helper it is at least
clear how the copy is done.